Package org.drinkless.tdlib

# Class TdApi.StarRevenueStatus

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StarRevenueStatus

Enclosing class:
  `TdApi`

public static class TdApi.StarRevenueStatus extends TdApi.Object
Contains information about Telegram Stars earned by a user or a chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.StarAmount`
  `availableAmount`
  The Telegram Star amount that is available for withdrawal.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StarAmount`
  `currentAmount`
  The Telegram Star amount that isn't withdrawn yet.
  `int`
  `nextWithdrawalIn`
  Time left before the next withdrawal can be started, in seconds; 0 if withdrawal can be started now.
  `TdApi.StarAmount`
  `totalAmount`
  Total Telegram Star amount earned.
  `boolean`
  `withdrawalEnabled`
  True, if Telegram Stars can be withdrawn now or later.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StarRevenueStatus()`
  Contains information about Telegram Stars earned by a user or a chat.
  `StarRevenueStatus(TdApi.StarAmount totalAmount, TdApi.StarAmount currentAmount, TdApi.StarAmount availableAmount, boolean withdrawalEnabled, int nextWithdrawalIn)`
  Contains information about Telegram Stars earned by a user or a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalAmount

    public TdApi.StarAmount totalAmount
    Total Telegram Star amount earned.

  - ### currentAmount

    public TdApi.StarAmount currentAmount
    The Telegram Star amount that isn't withdrawn yet.

  - ### availableAmount

    public TdApi.StarAmount availableAmount
    The Telegram Star amount that is available for withdrawal.

  - ### withdrawalEnabled

    public boolean withdrawalEnabled
    True, if Telegram Stars can be withdrawn now or later.

  - ### nextWithdrawalIn

    public int nextWithdrawalIn
    Time left before the next withdrawal can be started, in seconds; 0 if withdrawal can be started now.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StarRevenueStatus

    public StarRevenueStatus()
    Contains information about Telegram Stars earned by a user or a chat.

  - ### StarRevenueStatus

    public StarRevenueStatus(TdApi.StarAmount totalAmount, TdApi.StarAmount currentAmount, TdApi.StarAmount availableAmount, boolean withdrawalEnabled, int nextWithdrawalIn)
    Contains information about Telegram Stars earned by a user or a chat.
    Parameters:
      `totalAmount` - Total Telegram Star amount earned.
      `currentAmount` - The Telegram Star amount that isn't withdrawn yet.
      `availableAmount` - The Telegram Star amount that is available for withdrawal.
      `withdrawalEnabled` - True, if Telegram Stars can be withdrawn now or later.
      `nextWithdrawalIn` - Time left before the next withdrawal can be started, in seconds; 0 if withdrawal can be started now.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR